> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import from Web Link

> Import Reviews from Web Link. Enter the web link url from where you want to import reviews into Feedspace.



## OpenAPI

````yaml POST /imports/self-imports/web-link
openapi: 3.1.0
info:
  title: Feedspace API
  description: Feedspace API v3 - Feedback and testimonial management platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.feedspace.io/v3
security: []
paths:
  /imports/self-imports/web-link:
    post:
      tags:
        - Imports
      description: >-
        Import Reviews from Web Link. Enter the web link url from where you want
        to import reviews into Feedspace.
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/WebLinkImportRequest'
      responses:
        '200':
          description: Reviews imported successfully or error details if import failed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      reviews_imported:
                        type: integer
                        description: Number of reviews successfully imported
                      error:
                        type: string
                        description: Error message if import failed
                      message:
                        type: string
                        description: Additional message or error details
              examples:
                success:
                  value:
                    data:
                      reviews_imported: 5
                error:
                  value:
                    data:
                      error: Unable to fetch reviews from the provided URL
                      message: >-
                        The web link could not be accessed or does not contain
                        valid reviews
        '400':
          description: Bad request - import creation failed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      error:
                        type: string
                        description: Error message
              examples:
                creation_failed:
                  value:
                    data:
                      error: Failed to import reviews
      security:
        - basicAuth: []
components:
  schemas:
    WebLinkImportRequest:
      type: object
      description: >-
        Request body for importing reviews from a web link URL. Enter the web
        link URL from where you want to import reviews into Feedspace.
      properties:
        search:
          type: string
          format: uri
          description: >-
            Web link URL from where to import reviews (required). Protocol
            (https://) will be added automatically if not provided
      required:
        - search
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        HTTP Basic Authentication using API Key and Secret Key. The credentials
        should be Base64 encoded in the format 'api_key:secret_key'. You can
        obtain your API Key and Secret Key from Feedspace → Automation → API
        (https://app.feedspace.io/automation/api).

````